/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TWebApplication;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TWebApplicationRecord extends UpdatableRecordImpl<TWebApplicationRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_web_application.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_web_application.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_web_application.pk</code>. unique id of
     * application
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_web_application.pk</code>. unique id of
     * application
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_web_application.name</code>. application
     * name
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_web_application.name</code>. application
     * name
     */
    public String getName() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TWebApplicationRecord
     */
    public TWebApplicationRecord() {
        super(TWebApplication.T_WEB_APPLICATION);
    }

    /**
     * Create a detached, initialised TWebApplicationRecord
     */
    public TWebApplicationRecord(LocalDateTime lastchange, Integer pk, String name) {
        super(TWebApplication.T_WEB_APPLICATION);

        setLastchange(lastchange);
        setPk(pk);
        setName(name);
        resetChangedOnNotNull();
    }
}
